summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-libs/slang
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-libs/slang')
-rw-r--r--sys-libs/slang/Manifest2
-rw-r--r--sys-libs/slang/files/slang-2.1.3-uclibc.patch12
-rw-r--r--sys-libs/slang/files/slang-2.2.3-slsh-libs.patch11
-rw-r--r--sys-libs/slang/files/slang-2.2.4-memset.patch32
-rw-r--r--sys-libs/slang/metadata.xml5
-rw-r--r--sys-libs/slang/slang-2.2.4-r1.ebuild74
-rw-r--r--sys-libs/slang/slang-2.2.4.ebuild66
-rw-r--r--sys-libs/slang/slang-2.3.0.ebuild74
8 files changed, 276 insertions, 0 deletions
diff --git a/sys-libs/slang/Manifest b/sys-libs/slang/Manifest
new file mode 100644
index 00000000000..ab09b3dcf71
--- /dev/null
+++ b/sys-libs/slang/Manifest
@@ -0,0 +1,2 @@
+DIST slang-2.2.4.tar.bz2 1427363 SHA256 9a8257a9a2a55099af858b13338dc8f3a06dd2069f46f0df2c9c3bb84a01d5db SHA512 aaf0dcea5f1583487732098bd9dfe47f4fd968d81783955f58ed7bbffb852c217cde8999f2a515d77c22d44efc79047fc841eea6fecc48f18b402461ce6a848f WHIRLPOOL 5a0c81ef103116733df952fec8593f476bd57c9b2799ee566b0bf93dfd465709ef5f565a369d89a92bfd13cfc7577a047c46116bcac2f0b3176e50556c7484e1
+DIST slang-2.3.0.tar.bz2 1532986 SHA256 f95224060f45e0d8212a5039b339afa5f1a94a1bb0298e796104e5b12e926129 SHA512 0b04d916409c59f66301877c078bcca63c8b71e5dfa6c1d804353e41949bca16e664a79381c4156068b1f878c333e618f1de165e4059b09831fa83a794613050 WHIRLPOOL 395dc36d2f571ed19d88ee1f1c3594ab50d3a955949724d46582191430aa0c23cf3f78f966b184f3220ab86f2939e4601821160455159783793df30597c53257
diff --git a/sys-libs/slang/files/slang-2.1.3-uclibc.patch b/sys-libs/slang/files/slang-2.1.3-uclibc.patch
new file mode 100644
index 00000000000..d7ed5a8d650
--- /dev/null
+++ b/sys-libs/slang/files/slang-2.1.3-uclibc.patch
@@ -0,0 +1,12 @@
+diff -ur slang-2.1.3.orig/src/slcommon.c slang-2.1.3/src/slcommon.c
+--- slang-2.1.3.orig/src/slcommon.c 2007-01-10 18:09:07.000000000 +0200
++++ slang-2.1.3/src/slcommon.c 2008-03-19 16:09:09.000000000 +0200
+@@ -191,7 +191,7 @@
+ return p;
+ }
+
+-#if !defined(HAVE_ISSETUGID) && defined(__GLIBC__) && (__GLIBC__ >= 2)
++#if !defined(HAVE_ISSETUGID) && defined(__GLIBC__) && (__GLIBC__ >= 2) && !defined(__UCLIBC__)
+ extern int __libc_enable_secure;
+ # define HAVE___LIBC_ENABLE_SECURE 1
+ #endif
diff --git a/sys-libs/slang/files/slang-2.2.3-slsh-libs.patch b/sys-libs/slang/files/slang-2.2.3-slsh-libs.patch
new file mode 100644
index 00000000000..2c999fb184d
--- /dev/null
+++ b/sys-libs/slang/files/slang-2.2.3-slsh-libs.patch
@@ -0,0 +1,11 @@
+--- slsh/Makefile.in
++++ slsh/Makefile.in
+@@ -80,7 +80,7 @@
+ $(OBJDIR)/slsh_exe: $(OBJDIR)/slsh.o $(OBJDIR)/readline.o
+ $(CC) $(CFLAGS) $(OBJDIR)/slsh.o $(OBJDIR)/readline.o -o $(OBJDIR)/slsh_exe $(LDFLAGS) $(SRC_LIBS)
+ $(OBJDIR)/slsh: $(OBJDIR)/slsh.o $(OBJDIR)/readline.o
+- $(CC) $(CFLAGS) $(OBJDIR)/slsh.o $(OBJDIR)/readline.o -o $(OBJDIR)/slsh $(LDFLAGS) $(INST_LIBS)
++ $(CC) $(CFLAGS) $(OBJDIR)/slsh.o $(OBJDIR)/readline.o -o $(OBJDIR)/slsh $(LDFLAGS) $(SRC_LIBS)
+ $(OBJDIR)/slsh.o: $(OBJDIR) slsh.c slsh.h config.h Makefile
+ cd $(OBJDIR) && $(CC) -c $(CFLAGS) $(SLANG_SRCINC) $(DEFS) $(SRCDIR)/slsh.c
+ $(OBJDIR)/readline.o: $(OBJDIR) readline.c slsh.h config.h Makefile
diff --git a/sys-libs/slang/files/slang-2.2.4-memset.patch b/sys-libs/slang/files/slang-2.2.4-memset.patch
new file mode 100644
index 00000000000..0be90fdc309
--- /dev/null
+++ b/sys-libs/slang/files/slang-2.2.4-memset.patch
@@ -0,0 +1,32 @@
+From e06be392e42c23dd9bd7205445f3c5232ddb9ed7 Mon Sep 17 00:00:00 2001
+From: Sergei Trofimovich <slyfox@gentoo.org>
+Date: Tue, 19 Nov 2013 15:17:52 +0300
+Subject: [PATCH] modules/png-module.c: add declaration of 'memset'
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+ * QA Notice: Package triggers severe warnings which indicate that it
+ * may exhibit random runtime failures.
+ * /tmp/portage/sys-libs/slang-2.2.4/work/slang-2.2.4/modules/png-module.c:122:2: warning: incompatible implicit declaration of built-in function ‘memset’ [enabled by default]
+
+Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
+---
+ modules/png-module.c | 1 +
+ 3 files changed, 403 insertions(+), 259 deletions(-)
+
+diff --git a/modules/png-module.c b/modules/png-module.c
+index 92ede3d..fed9392 100644
+--- a/modules/png-module.c
++++ b/modules/png-module.c
+@@ -23,6 +23,7 @@ USA.
+ #include "config.h"
+
+ #include <stdio.h>
++#include <string.h> /* memset() */
+ #include <errno.h>
+ #include <slang.h>
+
+--
+1.8.4
+
diff --git a/sys-libs/slang/metadata.xml b/sys-libs/slang/metadata.xml
new file mode 100644
index 00000000000..aef01fc3d59
--- /dev/null
+++ b/sys-libs/slang/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>cjk</herd>
+</pkgmetadata>
diff --git a/sys-libs/slang/slang-2.2.4-r1.ebuild b/sys-libs/slang/slang-2.2.4-r1.ebuild
new file mode 100644
index 00000000000..d0d15f65a95
--- /dev/null
+++ b/sys-libs/slang/slang-2.2.4-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils multilib-minimal
+
+DESCRIPTION="A multi-platform programmer's library designed to allow a developer to create robust software"
+HOMEPAGE="http://www.jedsoft.org/slang/"
+SRC_URI="mirror://slang/v${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+IUSE="cjk pcre png readline static-libs zlib"
+
+# ncurses for ncurses5-config to get terminfo directory
+RDEPEND="sys-libs/ncurses
+ pcre? ( >=dev-libs/libpcre-8.33-r1[${MULTILIB_USEDEP}] )
+ png? ( >=media-libs/libpng-1.6.10:0[${MULTILIB_USEDEP}] )
+ cjk? ( >=dev-libs/oniguruma-5.9.5[${MULTILIB_USEDEP}] )
+ readline? ( >=sys-libs/readline-6.2_p5-r1:0[${MULTILIB_USEDEP}] )
+ zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+ abi_x86_32? (
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ !<=app-emulation/emul-linux-x86-baselibs-20140406-r1
+ )"
+DEPEND="${RDEPEND}"
+
+MAKEOPTS="${MAKEOPTS} -j1"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-2.2.3-slsh-libs.patch
+ epatch "${FILESDIR}"/${PN}-2.2.4-memset.patch
+
+ # avoid linking to -ltermcap race with some systems
+ sed -i -e '/^TERMCAP=/s:=.*:=:' configure || die
+ # we use the GNU linker also on Solaris
+ sed -i -e 's/-G -fPIC/-shared -fPIC/g' \
+ -e 's/-Wl,-h,/-Wl,-soname,/g' configure || die
+
+ # slang does not support configuration from another dir
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=slang
+ use readline && myconf=gnu
+
+ econf \
+ --with-readline=${myconf} \
+ $(use_with pcre) \
+ $(use_with cjk onig) \
+ $(use_with png) \
+ $(use_with zlib z)
+}
+
+multilib_src_compile() {
+ emake elf $(use static-libs && echo static)
+
+ pushd slsh >/dev/null
+ emake slsh
+ popd
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install $(use static-libs && echo install-static)
+}
+
+multilib_src_install_all() {
+ rm -rf "${ED}"/usr/share/doc/{slang,slsh}
+ dodoc NEWS README *.txt doc/{,internal,text}/*.txt
+ dohtml doc/slangdoc.html slsh/doc/html/*.html
+}
diff --git a/sys-libs/slang/slang-2.2.4.ebuild b/sys-libs/slang/slang-2.2.4.ebuild
new file mode 100644
index 00000000000..c856abb8199
--- /dev/null
+++ b/sys-libs/slang/slang-2.2.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils
+
+DESCRIPTION="A multi-platform programmer's library designed to allow a developer to create robust software"
+HOMEPAGE="http://www.jedsoft.org/slang/"
+SRC_URI="mirror://slang/v${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+IUSE="cjk pcre png readline static-libs zlib"
+
+# ncurses for ncurses5-config to get terminfo directory
+RDEPEND="sys-libs/ncurses
+ pcre? ( dev-libs/libpcre )
+ png? ( >=media-libs/libpng-1.2:0 )
+ cjk? ( dev-libs/oniguruma )
+ readline? ( sys-libs/readline )
+ zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}"
+
+MAKEOPTS="${MAKEOPTS} -j1"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-2.2.3-slsh-libs.patch
+ epatch "${FILESDIR}"/${PN}-2.2.4-memset.patch
+
+ # avoid linking to -ltermcap race with some systems
+ sed -i -e '/^TERMCAP=/s:=.*:=:' configure || die
+ # we use the GNU linker also on Solaris
+ sed -i -e 's/-G -fPIC/-shared -fPIC/g' \
+ -e 's/-Wl,-h,/-Wl,-soname,/g' configure || die
+}
+
+src_configure() {
+ local myconf=slang
+ use readline && myconf=gnu
+
+ econf \
+ --with-readline=${myconf} \
+ $(use_with pcre) \
+ $(use_with cjk onig) \
+ $(use_with png) \
+ $(use_with zlib z)
+}
+
+src_compile() {
+ emake elf $(use static-libs && echo static)
+
+ pushd slsh >/dev/null
+ emake slsh
+ popd
+}
+
+src_install() {
+ emake DESTDIR="${D}" install $(use static-libs && echo install-static)
+
+ rm -rf "${ED}"/usr/share/doc/{slang,slsh}
+
+ dodoc NEWS README *.txt doc/{,internal,text}/*.txt
+ dohtml doc/slangdoc.html slsh/doc/html/*.html
+}
diff --git a/sys-libs/slang/slang-2.3.0.ebuild b/sys-libs/slang/slang-2.3.0.ebuild
new file mode 100644
index 00000000000..496f6ab31f2
--- /dev/null
+++ b/sys-libs/slang/slang-2.3.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils multilib-minimal
+
+DESCRIPTION="A multi-platform programmer's library designed to allow a developer to create robust software"
+HOMEPAGE="http://www.jedsoft.org/slang/"
+SRC_URI="http://www.jedsoft.org/releases/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x86-solaris"
+IUSE="cjk pcre png readline static-libs zlib"
+
+# ncurses for ncurses5-config to get terminfo directory
+RDEPEND="sys-libs/ncurses
+ pcre? ( >=dev-libs/libpcre-8.33-r1[${MULTILIB_USEDEP}] )
+ png? ( >=media-libs/libpng-1.6.10:0[${MULTILIB_USEDEP}] )
+ cjk? ( >=dev-libs/oniguruma-5.9.5[${MULTILIB_USEDEP}] )
+ readline? ( >=sys-libs/readline-6.2_p5-r1:0[${MULTILIB_USEDEP}] )
+ zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+ abi_x86_32? (
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ !<=app-emulation/emul-linux-x86-baselibs-20140406-r1
+ )"
+DEPEND="${RDEPEND}"
+
+MAKEOPTS="${MAKEOPTS} -j1"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-2.2.3-slsh-libs.patch
+ epatch "${FILESDIR}"/${PN}-2.2.4-memset.patch
+
+ # avoid linking to -ltermcap race with some systems
+ sed -i -e '/^TERMCAP=/s:=.*:=:' configure || die
+ # we use the GNU linker also on Solaris
+ sed -i -e 's/-G -fPIC/-shared -fPIC/g' \
+ -e 's/-Wl,-h,/-Wl,-soname,/g' configure || die
+
+ # slang does not support configuration from another dir
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=slang
+ use readline && myconf=gnu
+
+ econf \
+ --with-readline=${myconf} \
+ $(use_with pcre) \
+ $(use_with cjk onig) \
+ $(use_with png) \
+ $(use_with zlib z)
+}
+
+multilib_src_compile() {
+ emake elf $(use static-libs && echo static)
+
+ pushd slsh >/dev/null
+ emake slsh
+ popd
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install $(use static-libs && echo install-static)
+}
+
+multilib_src_install_all() {
+ rm -rf "${ED}"/usr/share/doc/{slang,slsh}
+ dodoc NEWS README *.txt doc/{,internal,text}/*.txt
+ dohtml doc/slangdoc.html slsh/doc/html/*.html
+}